Summary: Vivaldi
Name: vivaldi-snapshot
Version:  1.11.890.4
Release: %mkrel 2
License: Proprietary
Group: Networking/WWW
URL: https://vivaldi.com/
Source0: vivaldi
Source1: vivaldi.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no
Obsoletes: vivaldi-beta

%description
Vivaldi is a new web browser based on Chromium that is built by an Opera founder.
It's aimed mostly at power users, but it can be used by anyone. 

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

export DONT_STRIP=1
#https://downloads.vivaldi.com/snapshot/vivaldi-snapshot_1.11.890.4-1_i386.deb
%define deb_package vivaldi-snapshot_%version-1_i386.deb

#download source
cd $RPM_SOURCE_DIR
wget -nc "https://downloads.vivaldi.com/snapshot/%{deb_package}" 
cd ..

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot

#not needed
rm -f %buildroot/usr/share/menu/vivaldi.menu

#dont include this as it breaks apt for rpm
rm -rf %buildroot/etc/cron.daily/vivaldi-snapshot

#icon for menu
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps/vivaldi.png

#sandbox it
chmod 4755 %buildroot/opt/vivaldi-snapshot/vivaldi-sandbox

#no kwallet popup
install -m 0755 %SOURCE0 %buildroot/opt/vivaldi-snapshot/vivaldi

#fix for desktop file
mkdir -p %buildroot/usr/bin
ln -fs /opt/vivaldi-snapshot/vivaldi %buildroot/usr/bin/vivaldi-snapshot


%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
/opt/vivaldi-snapshot
%{_bindir}/vivaldi-snapshot
%{_datadir}/applications/vivaldi-snapshot.desktop
%{_datadir}/doc/vivaldi-snapshot/changelog.gz
/usr/share/xfce4/helpers/vivaldi-snapshot.desktop
/usr/share/menu/vivaldi-snapshot.menu
%{_datadir}/pixmaps/vivaldi.png


%changelog
* Fri Jun 30 2017 adrianomorselli> 1.11.890.4-2uplos2017
- come back to 32 bit!
